<label [attr.for]="id"
       [class.cui-checkbox-left]="align === 'left'"
       [class.cui-checkbox-right]="align === 'right'"
       [class.cui-checkbox-right-spread]="align === 'right-spread'"
       [class.cui-checkbox-left-spread]="align === 'left-spread'"
       (click)="clickFocused()">
  <span class="cui-checkbox-box" aria-hidden="true">
    <svg class="cui-checkbox-check" viewBox="0 0 12 10">
      <polyline points='1.5 6 4.5 9 10.5 1'></polyline>
    </svg>
    <svg class="cui-checkbox-dash" viewBox="0 0 12 10">
      <polyline points='1.5 5 10.5 5'></polyline>
    </svg>
  </span>
  <span class="cui-checkbox-label" [class.cui-checkbox-labeled]="label.textContent?.trim()" #label>
    <ng-content></ng-content>
  </span>
  <input type="checkbox" class="cui-visually-hidden"
    [id]="id"
    [required]="required"
    [checked]="checked"
    [attr.value]="value || null"
    [disabled]="disabled"
    [attr.name]="name || null"
    [tabIndex]="tabIndex"
    [attr.aria-label]="ariaLabel || null"
    [attr.aria-labelledby]="ariaLabelledby"
    [attr.aria-checked]="ariaChecked$ | async"
    [attr.aria-describedby]="ariaDescribedby"
    (change)="changed($event)"
    (click)="clicked($event)">
</label>
